e-Próspera
Reference

Start the OAuth authorization-code flow

View as Markdown
GET
/api/oauth/authorize

Query Parameters

response_type*"code"

Value in

  • "code"
client_id*string
redirect_uri*string
Formaturi
scope*string
state?string
code_challenge?string
code_challenge_method?"S256"

Value in

  • "S256"
nonce?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/oauth/authorize?response_type=code&client_id=string&redirect_uri=http%3A%2F%2Fexample.com&scope=string"
Empty
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}